Favicon

You are here: Home > API Reference > Workspace > Audit > Get audit by Id

Get audit by Id

Required Permission: base.organization.audit.get

Get audit by Id

GET
/v1/organizations/:organizationId/audit/:auditId
Copy to clipboard

Get audit by Id

Required Permission: base.organization.audit.get

Get audit by Id

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
auditId string
required
≤ 128 characters

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
≤ 128 characters
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
organizationInfo object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
slug string optional
≤ 128 characters · ≥ 3 characters · Match pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]$
store object optional
customDomain string optional
≤ 256 characters
branding object optional
logo string optional
≤ 256 characters
picture string optional
primaryColor string optional
Match pattern: ^#[a-zA-Z0-9]{6}$
configuration object optional
storageProvider string optional
Match pattern: ^[a-fA-F0-9]{24}$
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
userId string optional
userEmail string optional
action string optional
entity string optional
entityId string optional
pre string optional
post string optional
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
diff array [object] optional
kind string optional
path array [string] optional
rhs any optional
lhs any optional
summary object optional
{
    "status": true,
    "data": {
        "id": "string",
        "organization": "string",
        "organizationInfo": {
            "id": "string",
            "name": "string",
            "slug": "string",
            "store": {
                "customDomain": "string"
            },
            "branding": {
                "logo": "string",
                "picture": "string",
                "primaryColor": "string"
            },
            "configuration": {
                "storageProvider": "string"
            },
            "createdBy": "string"
        },
        "userId": "string",
        "userEmail": "string",
        "action": "string",
        "entity": "string",
        "entityId": "string",
        "pre": "string",
        "post": "string",
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z",
        "diff": [
            {
                "kind": "string",
                "path": [
                    "string"
                ],
                "rhs": "string",
                "lhs": "string"
            }
        ],
        "summary": {}
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}